/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package sync4j.framework.core;

/**
  * This class declares constants that correspond to values for
  * the &lt;DevTyp&gt; element in SyncML devinf DTD
  * <br>
  * <br>
  * The constructor is private because developers do not
  * need to construct instances of this class.
  *
  * @author Stefano Fornari @ Funambol
  * @see DevInf
  *
  * @version $Id: DevTyp.java,v 1.1.4.2 2005/01/20 16:09:20 luigiafassina Exp $
  */
public final class DevTyp {
    // --------------------------------------------------------------- Constants
    public static final String PAGER = "pager";
    public static final String HANDHELD = "handheld";
    public static final String PDA = "pda";
    public static final String PHONE = "phone";
    public static final String SMARTPHONE = "smartphone";
    public static final String SERVER = "server";
    public static final String WORKSTATION = "workstation";

    private DevTyp() {}

}