/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package sync4j.framework.engine.source;

/**
 * This interface define a SyncSource that provides a way to commit the changes
 * applied during a sync session. It simply extends SyncSource with the method
 * commitSync()
 *
 *
 * @author  Stefano Foranri @ Funambol
 *
 * @version $Id: CommittableSyncSource.java,v 1.2.2.2 2005/01/27 11:59:26 luigiafassina Exp $
 */
public interface CommittableSyncSource
extends SyncSource {

    /**
     * Commits the changes applied during the sync session. If the underlying
     * datastore can not commit the changes, a SyncSourceException is thrown.
     *
     * @throws SyncSourceException if the changes cannot be committed
     */
    public void commitSync() throws SyncSourceException;
}
