/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package sync4j.framework.engine.source;

import sync4j.framework.core.StatusCode;
import sync4j.framework.engine.SyncException;

/**
 * This exception represents the case where the size of a object provided by the
 * client does not match the size specified in the Meta element of the item.
 *
 * @author Stefano Fornari @ Funambol
 * @version $Id: ObjectSizeMismatchException.java,v 1.1.2.1 2005/02/09 18:18:54 stefano_fornari Exp $
 */
public class ObjectSizeMismatchException extends SyncSourceException {
    public ObjectSizeMismatchException(String msg) {
        super(msg, StatusCode.OBJECT_SIZE_MISMATCH);
    }
}