--
-- Initialization data for the Sync4j engine
--
-- @author Stefano Fornari
-- @version $Id: init_engine.sql,v 1.12.4.6 2004/11/13 14:47:20 luigiafassina Exp $
--


--
-- SYNC4j_USER
--
insert into sync4j_user (username, password, email, first_name, last_name, internal_user)
  values('guest', 'guest', 'guest@sync4j.org', 'guest', 'guest', 'N');
  
insert into sync4j_user (username, password, email, first_name, last_name, internal_user)
  values('admin', 'sa', 'admin@sync4j.org', 'admin', 'admin', 'N');

--
-- SYNC4J_DEVICE
--

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password)
  values('syncml-phone', 'SyncML phone clients', 'Phone', '', '', 'sync4j');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password)
  values('sc-pim-demo', 'SyncClient PIM Demo', 'PIM Demo', '', '', 'sync4j');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password)
  values('sc-pim-outlook', 'SyncClient PIM Outlook', 'PIM Outlook', '', '', 'sync4j');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password)
  values('sc-pim-blackberry', 'SyncClient PIM BlackBerry', 'PIM BlackBerry', '', '', 'sync4j');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password)
  values('sc-pim-palm', 'SyncClient PIM Palm', 'PIM Palm', '', '', 'sync4j');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password)
  values('sc-pim-ppc', 'SyncClient PIM Pocket PC', 'PIM Pocket PC', '', '', 'sync4j');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password)
  values('sc-api-j2se', 'SyncClient API J2SE', 'API J2SE', '', '', 'sync4j');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password)
  values('sc-api-j2me', 'SyncClient API J2ME', 'API J2ME', '', '', 'sync4j');

insert into sync4j_device (id, description, type, client_nonce, server_nonce, server_password)
  values('sc-api-nat', 'SyncClient API Native', 'API Native', '', '', 'sync4j');
  

--
-- SYNC4J_PRINCIPAL
--
insert into sync4j_principal (id, username, device)
  values('1', 'guest', 'syncml-phone');
  
insert into sync4j_principal (id, username, device)
  values('2', 'guest', 'sc-pim-demo');
  
insert into sync4j_principal (id, username, device)
  values('3', 'guest','sc-pim-outlook');

insert into sync4j_principal (id, username, device)
  values('4', 'guest','sc-pim-blackberry');

insert into sync4j_principal (id, username, device)
  values('5', 'guest','sc-pim-palm');

insert into sync4j_principal (id, username, device)
  values('6', 'guest','sc-pim-ppc');

insert into sync4j_principal (id, username, device)
  values('7', 'guest','sc-api-j2se');

insert into sync4j_principal (id, username, device)
  values('8', 'guest','sc-api-j2me');

insert into sync4j_principal (id, username, device)
  values('9', 'guest','sc-api-nat');



--
-- SYNC4J_ID
--
insert into sync4j_id values('device',0);

insert into sync4j_id values('principal',9);

insert into sync4j_id values('module',0);

insert into sync4j_id values('sourcetype',1);

insert into sync4j_id values('connector',0);

--
-- SYNC4J_ROLE
--
insert into sync4j_role values('sync_user','User');

insert into sync4j_role values('sync_administrator','Administrator');

--
-- SYNC4J_USER_ROLE
--
insert into sync4j_user_role values('guest','sync_user');

insert into sync4j_user_role values('admin','sync_administrator');